GDB (xrefs)

Classes | Namespaces | Functions | Variables
exsummary.py File Reference

Go to the source code of this file.

## Classes
class | exsummary.Function
class | exsummary.Edge

## Namespaces
| exsummary

## Functions
def | exsummary.declare (fn_name)
def | exsummary.define_function (fn_name, location)
def | exsummary.declare_throw (fn_name)
def | exsummary.declare_nothrow (fn_name)
def | exsummary.declare_cleanup (fn_name)
def | exsummary.function_call (to, frm, location)
def | exsummary.has_indirect_call (fn_name, location)
def | exsummary.mark_functions (worklist, is_indirect)
def | exsummary.help_and_exit ()
def | exsummary.main ()

## Variables
list | exsummary.work_list = []
dictionary | exsummary.function_map = {}
list | exsummary.indirect_functions = []
bool | exsummary.process_cleanups = False
bool | exsummary.process_indirect = False
def | exsummary.status = main()